/*
 * arduino.c
 *
 * Onboard button and LED test
 *
 * Created: 25. 10. 2015 8:28:12
 * Author: Robo Ulbricht
 * www: http://www.arduinoslovakia.eu
 */ 

#include <asf.h>
#include "arduino.h"

///
/// Local setup
///
void rurInit(void)
{
//struct port_config pin_conf;
//port_get_config_defaults(&pin_conf);
}

///
/// Main loop
///
void rurLoop(void)
{
if(isOnboardButton())  
  digitalWriteOnboardLed(true);
else
  digitalWriteOnboardLed(false);
}

///
/// Onboard button
///
bool isOnboardButton(void)
{
return port_pin_get_input_level(BUTTON_0_PIN) == BUTTON_0_ACTIVE;
}

///
/// Onboard LED on/off
///
void digitalWriteOnboardLed(bool value)
{
port_pin_set_output_level(LED_0_PIN, value ? (LED_0_ACTIVE) : (!LED_0_ACTIVE));
}
